curl --request PATCH \
--url https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"sourceTable": "<string>",
"snapshot": {
"schema": {
"ipcMessage": "<string>"
}
}
},
"listing": {
"connector": "<string>",
"tablePaths": [
"<string>"
],
"snapshot": {
"fileSchema": {
"ipcMessage": "<string>"
},
"options": {
"fileType": "<string>",
"formatOptions": {},
"fileExtension": "",
"tablePartitionSchema": {
"ipcMessage": "<string>"
},
"collectStat": true,
"targetPartitions": 123
}
}
}
},
"name": "",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"revision": 0,
"revisionHash": ""
}
'import requests
url = "https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}"
payload = {
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"sourceTable": "<string>",
"snapshot": { "schema": { "ipcMessage": "<string>" } }
},
"listing": {
"connector": "<string>",
"tablePaths": ["<string>"],
"snapshot": {
"fileSchema": { "ipcMessage": "<string>" },
"options": {
"fileType": "<string>",
"formatOptions": {},
"fileExtension": "",
"tablePartitionSchema": { "ipcMessage": "<string>" },
"collectStat": True,
"targetPartitions": 123
}
}
}
},
"name": "",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z",
"revision": 0,
"revisionHash": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spec: {
relational: {
connector: '<string>',
sourceCatalog: '<string>',
sourceSchema: '<string>',
sourceTable: '<string>',
snapshot: {schema: {ipcMessage: '<string>'}}
},
listing: {
connector: '<string>',
tablePaths: ['<string>'],
snapshot: {
fileSchema: {ipcMessage: '<string>'},
options: {
fileType: '<string>',
formatOptions: {},
fileExtension: '',
tablePartitionSchema: {ipcMessage: '<string>'},
collectStat: true,
targetPartitions: 123
}
}
}
},
name: '',
createTime: '2023-11-07T05:31:56Z',
updateTime: '2023-11-07T05:31:56Z',
revision: 0,
revisionHash: ''
})
};
fetch('https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"sourceTable": "<string>",
"snapshot": {
"schema": {
"ipcMessage": "<string>"
}
}
},
"listing": {
"connector": "<string>",
"tablePaths": [
"<string>"
],
"snapshot": {
"fileSchema": {
"ipcMessage": "<string>"
},
"options": {
"fileType": "<string>",
"formatOptions": {},
"fileExtension": "",
"tablePartitionSchema": {
"ipcMessage": "<string>"
},
"collectStat": true,
"targetPartitions": "<string>"
}
}
}
},
"createTime": "<string>",
"updateTime": "<string>",
"revision": "0",
"revisionHash": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Table
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Path Parameters
Query Parameters
Body
A SQL-visible table owned by its parent schema.
Definition used to construct this table.
Show child attributes
Show child attributes
Resource name in the form
workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}/tables/{table}.
The terminal resource ID is the SQL-visible table name.
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}/tables/[a-z][a-z0-9_]{0,62}$Time at which the table was created.
Time at which the table was most recently updated.
Monotonically increasing revision of this table definition.
Lowercase SHA-256 hash of the canonical stored table definition.
Response
Successful Response
A SQL-visible table owned by its parent schema.
Resource name in the form
workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}/tables/{table}.
The terminal resource ID is the SQL-visible table name.
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}/tables/[a-z][a-z0-9_]{0,62}$Definition used to construct this table.
Show child attributes
Show child attributes
Time at which the table was created.
Time at which the table was most recently updated.
Monotonically increasing revision of this table definition.
Lowercase SHA-256 hash of the canonical stored table definition.